import { Count, Filter, FilterExcludingWhere, Where } from '@loopback/repository';
import { FurnishingMaster } from '../models';
import { FurnishingMasterRepository } from '../repositories';
export declare class FurnishingmasterController {
    furnishingMasterRepository: FurnishingMasterRepository;
    constructor(furnishingMasterRepository: FurnishingMasterRepository);
    create(furnishingMaster: Omit<FurnishingMaster, 'furnishingId'>): Promise<FurnishingMaster>;
    count(where?: Where<FurnishingMaster>): Promise<Count>;
    find(filter?: Filter<FurnishingMaster>): Promise<FurnishingMaster[]>;
    updateAll(furnishingMaster: FurnishingMaster, where?: Where<FurnishingMaster>): Promise<Count>;
    findById(id: number, filter?: FilterExcludingWhere<FurnishingMaster>): Promise<FurnishingMaster>;
    updateById(id: number, furnishingMaster: FurnishingMaster): Promise<void>;
    replaceById(id: number, furnishingMaster: FurnishingMaster): Promise<void>;
    deleteById(id: number): Promise<void>;
}
